=== debian/control ===
Source: ros-melodic-rqt-play-motion-builder
Section: misc
Priority: optional
Maintainer: davidfernandez <david.fernandez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-play-motion-builder, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-rqt-gui-cpp, ros-melodic-sensor-msgs, ros-melodic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rqt-play-motion-builder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-play-motion-builder, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-rqt-gui, ros-melodic-rqt-gui-cpp, ros-melodic-sensor-msgs, ros-melodic-urdf
Description: The rqt_play_motion_builder package, a front-end interface for play_motion_builder
